Bug 529556 - New upstream version of scala: 2.7.6
Summary: New upstream version of scala: 2.7.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: scala
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Geoff Reedy
QA Contact: Fedora Extras Quality Assurance
URL: http://www.scala-lang.org/node/3250
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-18 16:32 UTC by Andreas Simon
Modified: 2009-12-16 01:23 UTC (History)
2 users (show)

Fixed In Version: 2.7.7-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-16 01:12:34 UTC
Type: ---


Attachments (Terms of Use)

Description Andreas Simon 2009-10-18 16:32:11 UTC
Current version in Rawhide: 2.7.5
Current stable upstream version: 2.7.6

This is the changelog for 2.7.6:

    * Fixed #715, #1896, #1930 (Problem with pickler/unpickler). In certain cases, for instance when using existentials in complex traits, one flag would be incorrectly set while generating the classfiles. Reading back the classfile during separate compilation would cause the compiler to complain about a "malformed Scala signature". This issue was fixed in 2.7.6.

No other issues were fixed in this release, which is otherwise functionally equivalent to Scala 2.7.5.


Thanks.

Comment 1 Karsten Wade 2009-11-09 23:11:47 UTC
They snuck a new stable release out, 2.7.7.  My request for updating the Fedora package is via a statement by the developer of lookatgit[1] that it runs considerably faster with the current upstream tarball.

[1] http://github.com/mpdehaan/lookatgit

Comment 2 Bug Zapper 2009-11-16 13:48:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora Update System 2009-11-23 03:48:22 UTC
scala-2.7.7-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/scala-2.7.7-1.fc11

Comment 4 Fedora Update System 2009-11-23 03:50:09 UTC
scala-2.7.7-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/scala-2.7.7-1.fc12

Comment 5 Fedora Update System 2009-11-25 15:01:03 UTC
scala-2.7.7-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update scala'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12051

Comment 6 Fedora Update System 2009-11-25 15:33:41 UTC
scala-2.7.7-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update scala'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12197

Comment 7 Fedora Update System 2009-12-16 01:12:23 UTC
scala-2.7.7-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-12-16 01:23:09 UTC
scala-2.7.7-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.